Name:		liborigin2
Version:	13092010
Release:	1%{?dist}
Summary:	Library for reading OriginLab project files
License:	GPLv3
Group:		System Environment/Libraries
URL:		http://soft.proindependent.com/%{name}/
Source0:	http://download.berlios.de/qtiplot/%{name}-%{version}.zip
Source1:	http://tree.phi-sci.com/tree.hh
# Fix build and install
Patch0:		liborigin2-13092010-path.patch
BuildRequires:	qt4-devel boost-devel
BuildRequires:	doxygen
BuildRequires:	dos2unix

%description
liborigin2 is a library for reading OriginLab project files. OriginLab 
Origin provides extensive scientific graphing and data analysis capabilities 
and includes several new tools that simplify common operations.

See http://www.originlab.com for more information about OriginLab Origin.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	boost-devel%{?_isa}
Obsoletes:	%{name}-doc < 06042009-4.20100629svn

%description devel
The %{name}-devel package contains libraries, header files and documentation
for developing applications that use %{name}. 

%prep
%setup -q -n %{name}
cp -p %{SOURCE1} .
%patch0 -p1

# Convert encoding to UTF-8
iconv -f iso8859-5 -t utf-8 FORMAT > FORMAT.tmp
touch -c -r FORMAT FORMAT.tmp
mv -f  FORMAT.tmp FORMAT

# Remove DOS line endings
dos2unix -k *

# Remove exec permission
find -type f -exec chmod 0644 {} ";"

%build
export PATH=%{_qt4_bindir}:$PATH
%{_qt4_qmake} LIBDIR=%{_libdir}
make %{?_smp_mflags}

pushd doc
doxygen Doxyfile
# Fix the timestamp
for file in html/*; do
	touch -r Doxyfile $file
done
popd

%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc copying readme FORMAT
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/%{name}
%{_libdir}/%{name}.so

%changelog
* Sun Jan 01 2012 Andrew Wyatt <andrew@fuduntu.org> - Version:13092010
- Built for Fuduntu

* Sat Nov 19 2011 Andrew Wyatt <andrew@fuduntu.org>
- Built for Fuduntu

* Wed Oct 13 2010 Chen Lei <supercyper@163.com> - 13092010-1
- New upstream release
